Bug 193448 - Gnome-power-manager produces error on login instead of working
Gnome-power-manager produces error on login instead of working
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2006-05-28 17:58 EDT by Otto J. Makela
Modified: 2013-03-05 22:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:57:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
rpm -qa | sort (22.97 KB, text/plain)
2006-05-28 20:08 EDT, Otto J. Makela
no flags Details

  None (edit)
Description Otto J. Makela 2006-05-28 17:58:34 EDT
Description of problem:
Gnome-power-manager produces error on login instead of working.

Version-Release number of selected component (if applicable):
dbus-glib-0.61-3.fc5.1 (both x86_64 and i386 versions installed)

How reproducible:
Upon fc5 installation I realized that there was no way to change the display
power management parameters, the screen saver just used the same setting I had
in xorg.conf. So I manually added the gnome-power-manager package. Now, upon
logging in to a gnome session, I get a popup error and the power preferences do
not seem to have any effect.

Steps to Reproduce:
1. The usual fc5 installation on x86_64
2. Manually add package gnome-power-manager
Actual results:
On logging in to a gnome session, you get a popup saying:
 Power Manager
 This program cannot start until you start the dbus session service.
 This is usually started automatically in X or gnome startup when you
 start a new session.
As far as I can tell, gnome-power-preferences setting changes have no effect,
I get the same popup when I try starting it.

Expected results:
No popups, and working gnome-power-preferences

Additional info:
The same thing seemed to work correctly on a fc5/i386 machine I tried it out on.
Comment 1 John (J5) Palmieri 2006-05-28 18:54:17 EDT
Looks like a dependancy issue.  gnome-power-manager should require dbus-x11.  Do
you have dbus-x11 installed?
Comment 2 Otto J. Makela 2006-05-28 20:08:28 EDT
Created attachment 130162 [details]
rpm -qa | sort

Just to make things quicker, here's a complete list of packages on my computer.

Duplicates are due to having both x86_64 and i386 versions of some packages.
Comment 3 petrosyan 2008-03-17 01:13:45 EDT
Fedora Core 5 and Fedora Core 6 are no longer maintained. Is this bug still
present in Fedora 7 or Fedora 8?
Comment 4 Bug Zapper 2008-04-03 22:59:15 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 11:57:19 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.